/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */

#ifndef __GdomCSSVariablesDeclaration_H___INT_
#define __GdomCSSVariablesDeclaration_H___INT_
#include "glib-object.h"
#include "gdom/PrivateIntGdomDOMObject.h"
#include "GDOMObject.h"
#include "CSSVariablesDeclaration.h"
namespace WebCore {
    gpointer toGDOM(CSSVariablesDeclaration* node);
} /* namespace WebCore */ 
G_BEGIN_DECLS
class GDOMCSSVariablesDeclaration : public GDOMObject {
    typedef GDOMObject Base;
public:
    int get_gobj_type() { return GDOM_TYPE_CSS_VARIABLES_DECLARATION; }
    GDOMCSSVariablesDeclaration(PassRefPtr<WebCore::CSSVariablesDeclaration> impl);
    virtual ~GDOMCSSVariablesDeclaration();
    WebCore::CSSVariablesDeclaration* impl() const { return m_impl.get(); }

private:
    RefPtr<WebCore::CSSVariablesDeclaration> m_impl;
};
G_END_DECLS

#endif /* __GdomCSSVariablesDeclaration_H___INT_*/
